package de.intevation.flys.client.client.services;

import java.util.List;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;


import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.FeatureInfo;
import de.intevation.flys.client.shared.model.Theme;


@RemoteServiceRelativePath("getfeatureinfo")
public interface GFIService extends RemoteService {

    public List<FeatureInfo> query(
        List<Theme> themes,
        String      format,
        String      bbox,
        String      projection,
        int         height,
        int         width,
        int         x,
        int         y
    ) throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
